Measurement Units (Core)
Endpoints to create, update and read measurement units.
This part of the API is in Beta status. For details, see the API release lifecycle documentation.
all entities after given Id
number of measurementUnits to show
25key of the measurementUnit
Provide the localized names for the measurementUnit. If not provided the default locale is used., for example de_DE.
The found measurementUnit.
MeasurementUnits
Total number of found entities for this query
42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Entity not found
GET /api/measurementunits HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"measurementUnits": [
{
"nameLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"abbreviationLocalized": {
"de_DE": "kg",
"en_US": "kg",
"ru_RU": "кг"
},
"key": "kilogramm",
"requiresMeasurement": true,
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42
}
],
"total": 42
}This part of the API is in Beta status. For details, see the API release lifecycle documentation.
MeasurementUnitForCreation
Descriptor for the measurement unit
kilogrammIndicates that the given unit need to be measured.
trueSuccessfully created the measurementUnit.
MeasurementUnit
Descriptor for the measurement unit
kilogrammIndicates that the given unit need to be measured.
trueThe date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42Translated abbreviation of the measurement unit
kgc5300790-9477-475c-bd6d-98e5d61f6413Translated name of the measurement unit
kilogrammYour user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Entity not found
POST /api/measurementunits HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 189
{
"nameLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"abbreviationLocalized": {
"de_DE": "kg",
"en_US": "kg",
"ru_RU": "кг"
},
"key": "kilogramm",
"requiresMeasurement": true
}{
"abbreviation": "kg",
"id": "c5300790-9477-475c-bd6d-98e5d61f6413",
"name": "kilogramm",
"nameLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"abbreviationLocalized": {
"de_DE": "kg",
"en_US": "kg",
"ru_RU": "кг"
},
"key": "kilogramm",
"requiresMeasurement": true,
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42
}This part of the API is in Beta status. For details, see the API release lifecycle documentation.
The found measurementUnit.
MeasurementUnit
Descriptor for the measurement unit
kilogrammIndicates that the given unit need to be measured.
trueThe date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42Translated abbreviation of the measurement unit
kgc5300790-9477-475c-bd6d-98e5d61f6413Translated name of the measurement unit
kilogrammYour user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Entity not found
GET /api/measurementunits/{measurementUnitId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"abbreviation": "kg",
"id": "c5300790-9477-475c-bd6d-98e5d61f6413",
"name": "kilogramm",
"nameLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"abbreviationLocalized": {
"de_DE": "kg",
"en_US": "kg",
"ru_RU": "кг"
},
"key": "kilogramm",
"requiresMeasurement": true,
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42
}This part of the API is in Beta status. For details, see the API release lifecycle documentation.
MeasurementUnitForCreation
Descriptor for the measurement unit
kilogrammIndicates that the given unit need to be measured.
trueSuccessfully updated the measurementUnit.
MeasurementUnit
Descriptor for the measurement unit
kilogrammIndicates that the given unit need to be measured.
trueThe date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42Translated abbreviation of the measurement unit
kgc5300790-9477-475c-bd6d-98e5d61f6413Translated name of the measurement unit
kilogrammYour user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Entity not found
PUT /api/measurementunits/{measurementUnitId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 189
{
"nameLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"abbreviationLocalized": {
"de_DE": "kg",
"en_US": "kg",
"ru_RU": "кг"
},
"key": "kilogramm",
"requiresMeasurement": true
}{
"abbreviation": "kg",
"id": "c5300790-9477-475c-bd6d-98e5d61f6413",
"name": "kilogramm",
"nameLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"abbreviationLocalized": {
"de_DE": "kg",
"en_US": "kg",
"ru_RU": "кг"
},
"key": "kilogramm",
"requiresMeasurement": true,
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42
}This part of the API is in Beta status. For details, see the API release lifecycle documentation.
Successfully deleted the measurementUnit.
No content
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Entity not found
DELETE /api/measurementunits/{measurementUnitId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated
Was this helpful?

